from parallels.core.connections.connections import Connections
from parallels.core.connections.source_server import SourceServer
from parallels.source.confixx import settings

class MigratorConnections(Connections):
	def __init__(self, config, target_panel):
		super(MigratorConnections, self).__init__(config, target_panel)
		self.source_settings = settings.init(config)
		self.confixx = SourceServer('confixx', self.source_settings)

	def get_information_servers(self):
		return {'confixx': self.confixx.node_settings}
